## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

---

### Send a Message as an AI Agent Output

**POST**  
`/v2.0/endpoint/notify`

**cURL**

```bash
curl --request POST \  
  --url https://api-trial.cognigy.ai/new/v2.0/endpoint/notify \  
  --header 'Content-Type: application/json' \  
  --header 'X-API-Key: <api-key>' \  
  --data '\
{\
  "userId": "user@example.com",\
  "text": "inject text",\
  "data": {},\
  "URLToken": "endpoint-url-token",\
  "attachments": [\
    {\
      "name": "<string>",\
      "url": "<string>",\
      "caption": "<string>"\
    }\
  ],\
  "sessionId": "your-session-id"\
}'
```

**Python**

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/endpoint/notify"

payload = {
    "userId": "user@example.com",
    "text": "inject text",
    "data": {},
    "URLToken": "endpoint-url-token",
    "attachments": [\
        {\
            "name": "<string>",\
            "url": "<string>",\
            "caption": "<string>"\
        }\
    ],\
    "sessionId": "your-session-id"
}
headers = {
    "X-API-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

**JavaScript**

```javascript
const options = {
  method: 'POST',
  headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    userId: 'user@example.com',
    text: 'inject text',
    data: {},
    URLToken: 'endpoint-url-token',
    attachments: [{name: '<string>', url: '<string>', caption: '<string>'}],
    sessionId: 'your-session-id'
  })
};

fetch('https://api-trial.cognigy.ai/new/v2.0/endpoint/notify', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

**PHP**

```php
$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/endpoint/notify",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "POST",\
  CURLOPT_POSTFIELDS => json_encode([\
    'userId' => 'user@example.com',\
    'text' => 'inject text',\
    'data' => [],\
    'URLToken' => 'endpoint-url-token',\
    'attachments' => [\
        [\
                'name' => '<string>',\
                'url' => '<string>',\
                'caption' => '<string>'\
        ]\
    ],\
    'sessionId' => 'your-session-id'\
  ]),\
  CURLOPT_HTTPHEADER => [\
    "Content-Type: application/json",\
    "X-API-Key: <api-key>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Successful Response Example

```json
{
  "status": 123,
  "code": 123,
  "type": "<string>",
  "detail": "<string>"
}
```

### Error Responses

**Unauthorized**
```json
{
  "type": "Unauthorized",
  "title": "Unauthorized Error",
  "status": 401,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 401,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

**Payment Required**
```json
{
  "type": "Payment Required",
  "title": "Payment Required Error",
  "status": 402,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 402,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

---

### Authorizations

**Header**

- **X-API-Key**:  string, required  
  Supply the API Key in the HTTP-Header.

### Body Parameters

- **userId**: string<email>, required  
  Example: `"user@example.com"`

- **text**: string, required  
  Example: `"inject text"`

- **data**: object, required

- **URLToken**: string, required  
  Example: `"endpoint-url-token"`

- **attachments**: object[]

- **sessionId**: string  
  Example: `"your-session-id"`

### Response Codes

- **200**: Returns success message.
- **400**: Bad Request
- **401**: Unauthorized
- **402**: Payment Required
- **403**: Forbidden
- **405**: Method Not Allowed
- **409**: Conflict
- **413**: Payload Too Large
- **501**: Not Implemented
- **502**: Bad Gateway
- **503**: Service Unavailable
- **504**: Gateway Timeout
